Skip to main content
GET
/
v1
/
positions
/
combos
Get user combo positions
curl --request GET \
  --url https://api.copilot.markets/data/v1/positions/combos
{
  "combos": [
    {
      "combo_condition_id": "0x0391ab0ebea17b65ba87e071b0566e816b0000000000000000000000000000",
      "combo_position_id": "<string>",
      "module_id": 123,
      "user_address": "0x56687bf447db6ffa42ffe2204a05edaa20f55839",
      "shares_balance": "<string>",
      "entry_avg_price_usdc": "<string>",
      "entry_cost_usdc": "<string>",
      "first_entry_at": "<string>",
      "resolved_at": "<string>",
      "legs_total": 123,
      "legs_resolved": 123,
      "legs_pending": 123,
      "legs": [
        {
          "leg_index": 123,
          "leg_position_id": "<string>",
          "leg_condition_id": "<string>",
          "leg_outcome_index": 123,
          "leg_outcome_label": "<string>",
          "leg_status": "<string>",
          "leg_resolved_at": "<string>",
          "leg_current_price": "<string>",
          "market": {
            "market_id": "<string>",
            "slug": "<string>",
            "title": "<string>",
            "outcome": "<string>",
            "image_url": "<string>",
            "icon_url": "<string>",
            "category": "<string>",
            "subcategory": "<string>",
            "tags": [
              "<string>"
            ],
            "end_date": "<string>",
            "event": {
              "event_id": "<string>",
              "event_slug": "<string>",
              "event_title": "<string>",
              "event_image": "<string>"
            }
          }
        }
      ]
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "has_more": true,
    "next_cursor": "<string>"
  }
}

Query Parameters

user
string
required

User Profile Address (0x-prefixed, 40 hex chars)

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x56687bf447db6ffa42ffe2204a05edaa20f55839"

status
enum<string>
Available options:
OPEN,
PARTIAL,
RESOLVED_WIN,
RESOLVED_LOSS
sort
enum<string>
default:current_value_desc
Available options:
current_value_desc,
first_entry_desc,
entry_cost_desc,
resolved_at_desc
market_id
string[]

Comma-separated combo_condition_id values to filter to specific combos. These equal the market_id of isCombo rows on /activity. Omit for all of the user's combos.

Combo condition ID (0x-prefixed, 62 hex chars / bytes31). Equals the market_id (unified) / conditionId (legacy) of isCombo rows on /activity.

Pattern: ^0x[a-fA-F0-9]{62}$
limit
integer
default:20
Required range: 0 <= x <= 100
offset
integer
default:0
Required range: 0 <= x <= 10000

Response

Success

combos
object[]
pagination
object

Standard pagination metadata. No total count; has_more is derived from page fullness. next_cursor is opaque.